## wine-gecko-2.21 2.21+dfsg2

=== security/nss/pkg/solaris/SUNWtlsd/Makefile ===
#
# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
#ident	"$Id: Makefile,v 1.4 2012/03/20 14:47:26 gerv%gerv.net Exp $"
#

CORE_DEPTH = ../../../..
include ../Makefile-devl.com

DATAFILES +=

all:: $(FILES)
publish:: all pkg

include ../Makefile-devl.targ

=== debian/changelog ===
wine-gecko-2.21 (2.21+dfsg2-2) unstable; urgency=medium

  * Use a separate branch for wine-gecko-2.21 (and mark it as such in
    debian/control).
  * Build the installer with gcab and msitools instead of Wine (closes:
    #738368).
  * Delete Python binaries when cleaning.
  * Remove Ove Kaaven from uploaders. Thanks for your work in the past,
    Ove!
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 23 Aug 2015 16:53:49 +0200

wine-gecko-2.21 (2.21+dfsg2-1) unstable; urgency=medium

  * Strip some more sourceless JavaScript files.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Jun 2014 23:07:20 +0200

=== debian/control ===
Source: wine-gecko-2.21
Section: otherosfs
Priority: optional
Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Build-Depends: autoconf2.13, debhelper (>= 7)
Build-Depends-Indep: g++-mingw-w64-i686,
                     g++-mingw-w64-x86-64,
                     gcab,
                     libidl-dev,
                     libx11-dev,
                     mingw-w64-i686-dev (>= 3.0.0),
                     mingw-w64-x86-64-dev (>= 3.0.0),
                     msitools,
                     python,
                     unzip,
                     uuid-runtime,
                     yasm,
                     zip
Standards-Version: 3.9.6
Homepage: http://www.winehq.org/
Vcs-Git: git://anonscm.debian.org/pkg-wine/wine-gecko.git -b wine-gecko-2.21
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-wine/wine-gecko.git;h=refs/heads/wine-gecko-2.21

Package: libwine-gecko-2.21
Section: libs
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Windows API implementation - web browser module
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains a HTML renderer based on the Mozilla engine, Gecko.

Package: libwine-gecko-dbg-2.21
Section: libs
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Windows API implementation - web browser debug build
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains a HTML renderer based on the Mozilla engine, Gecko,
 with debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

VERSION=-2.21

# This package doesn't support parallel builds at the top level

wine_gecko$(VERSION)-x86/dist:
	dh_testdir
	wine/make_package

wine_gecko$(VERSION)-x86_64/dist:
	dh_testdir
	wine/make_package -win64

wine_gecko$(VERSION)-x86-dbg/dist:
	dh_testdir
	wine/make_package -dbg

wine_gecko$(VERSION)-x86_64-dbg/dist:
	dh_testdir
	wine/make_package -win64 -dbg

# targets for cleaning

build-clean:
	dh_testdir
	# The cleansrcdir target uses build/autoconf/clean-config.sh
	# which contains bashisms but has a #!/bin/sh line in the
	# upstream source; we only call the target if our patch is
	# applied
	if head -n 1 build/autoconf/clean-config.sh | grep -q /bin/bash; then \
		$(MAKE) -f client.mk cleansrcdir; \
	fi
	rm -rf wine_gecko$(VERSION)-x86*
	rm -f a.out confdefs.h configure js/src/configure \
	 .mozconfig.mk .mozconfig.out security/manager/.nss.checkout
	find python/psutil -name \*.so -delete
	find python/psutil -name \*.o -delete
	dh_clean

# standard targets

configure: wine_gecko

build-arch:

# The 64-bit debug package needs a 64-bit build platform, so to build it
# we need either multiarch support on buildds, or 64-bit wine-bin. Until
# that happens the 64-bit debug package is disabled.
build-indep: wine_gecko$(VERSION)-x86/dist wine_gecko$(VERSION)-x86-dbg/dist wine_gecko$(VERSION)-x86_64/dist #wine_gecko$(VERSION)-x86_64-dbg/dist

clean: build-clean
	dh_testdir
	rm -rf buildtools include lib
	find -name "*.pyc" -exec rm {} \;

binary-arch:

binary-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep -i
	install -m 644 -D wine_gecko$(VERSION)-x86/dist/wine_gecko$(VERSION)-x86.msi debian/libwine-gecko$(VERSION)/usr/share/wine-gecko/wine_gecko$(VERSION)-x86.msi
	install -m 644 -D wine_gecko$(VERSION)-x86_64/dist/wine_gecko$(VERSION)-x86_64.msi debian/libwine-gecko$(VERSION)/usr/share/wine-gecko/wine_gecko$(VERSION)-x86_64.msi
	install -m 644 -D wine_gecko$(VERSION)-x86-dbg/dist/wine_gecko$(VERSION)-x86-dbg.tar.bz2 debian/libwine-gecko-dbg$(VERSION)/usr/share/wine-gecko/wine_gecko$(VERSION)-x86-dbg.tar.bz2
	# 64-bit debug package disabled, see above
	# install -m 644 -D wine_gecko$(VERSION)-x86_64-dbg/dist/wine_gecko$(VERSION)-x86_64-dbg.tar.bz2 debian/libwine-gecko-dbg$(VERSION)/usr/share/wine-gecko/wine_gecko$(VERSION)-x86_64-dbg.tar.bz2
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep

patch: wine-mozilla buildtools include

# Upstream source must be repacked for DFSG compliance
get-orig-source:
	uscan --download --destdir . --force-download

.PHONY: configure build build-clean clean install \
 binary-arch binary-indep binary patch get-orig-source
